WorkerThread (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.tcp.WorkerThread class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.tcp
Class WorkerThread

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.cluster.tcp.WorkerThread

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  TcpReplicationThread

public class WorkerThread
extends java.lang.Thread

Version:
  $Id: WorkerThread.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik

Field Summary
`protected boolean` | `doRun`
`protected ThreadPool` | `pool`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`WorkerThread()`

Method Summary
`void` | `close()`
`ThreadPool` | `getPool()`
`void` | `setPool(ThreadPool pool)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pool

    protected ThreadPool pool

### doRun

    protected boolean doRun

Constructor Detail

### WorkerThread

    public WorkerThread()

Method Detail

### setPool

    public void setPool(ThreadPool pool)

### getPool

    public ThreadPool getPool()

### close

    public void close()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.